Skip to main content
PUT
Set Traffic Light status

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

companyId
string<uuid>
required

Company ID

Body

application/json
status
enum<string>
required
Available options:
green,
amber,
red
details
object

Amber and Red need the tenant's required fields

approvedBy
string<uuid>

userId from the staff endpoint

note
string

Rationale; required when returning Amber/Red to Green

Maximum string length: 4000

Response

Status set

data
object
required